// deployer Services header
// Copyright (C) 2024 Jean-Cloud
// GNU General Public License v3

#if !defined(SERVICES_H)
#define SERVICES_H

#include <iostream>
#include <cstring>
#include <list>
#include <vector>

using namespace std;

struct serviceData {
    int userID;
    string username;
    list <string> serveurs;
};

class Services 
//extracts the list of uid|username|service from the services.csv file 
{
    public:
    Services(const char * servicesCSV="services.csv");
    ~Services();
    private:
    vector <serviceData> readServicesFromCSV (const char *CSV) const;
    vector <serviceData> services;

};
#endif